Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Interface Georeferenceable

All Superinterfaces:
  GridSpatialRepresentation, SpatialRepresentation

    @UML(identifier="MD_Georeferenceable",
         specification=ISO_19115)
    public interface Georeferenceable

extends GridSpatialRepresentation

Grid with cells irregularly spaced in any given geographic/map projection coordinate system, whose individual cells can be geolocated using geolocation information supplied with the data but cannot be geolocated from the grid properties alone.

Since:
  GeoAPI 2.0

Method Summary
`Record` | `getGeoreferencedParameters()` Terms which support grid data georeferencing.
`InternationalString` | `getOrientationParameterDescription()` Description of parameters used to describe sensor orientation.
`Collection<? extends Citation>` | `getParameterCitation()` Reference providing description of the parameters.
`Object` | `getParameters()` Deprecated. Use `getGeoreferencedParameters()` instead.
`boolean` | `isControlPointAvailable()` Indication of whether or not control point(s) exists.
`boolean` | `isOrientationParameterAvailable()` Indication of whether or not orientation parameters are available.

Methods inherited from interface GridSpatialRepresentation
`getAxisDimensionsProperties, getCellGeometry, getNumberOfDimensions, isTransformationParameterAvailable`

Method Detail

### isControlPointAvailable

    @UML(identifier="controlPointAvailability",
         obligation=MANDATORY,
         specification=ISO_19115)
    boolean isControlPointAvailable()

  Indication of whether or not control point(s) exists.

### isOrientationParameterAvailable

    @UML(identifier="orientationParameterAvailability",
         obligation=MANDATORY,
         specification=ISO_19115)
    boolean isOrientationParameterAvailable()

  Indication of whether or not orientation parameters are available.

### getOrientationParameterDescription

    @UML(identifier="orientationParameterDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getOrientationParameterDescription()

  Description of parameters used to describe sensor orientation.

### getGeoreferencedParameters

    @UML(identifier="georeferencedParameters",
         obligation=MANDATORY,
         specification=ISO_19115)
    Record getGeoreferencedParameters()

  Terms which support grid data georeferencing.

  Since:
    GeoAPI 2.1

### getParameters

    Object getParameters()

  Deprecated. Use `getGeoreferencedParameters()` instead.

  Terms which support grid data georeferencing.

### getParameterCitation

    @UML(identifier="parameterCitation",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Citation> getParameterCitation()

  Reference providing description of the parameters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.